Page MenuHomePhabricator

[feature request] Add Special:GoToLinkedPageElseGoToItem
Closed, ResolvedPublic

Description

Hello

It's a very simple feature. You can reuse the special pageGoToLinkedPage and create this new special page.

Example :

https://www.wikidata.org/wiki/Special:GoToLinkedPageElseGoToItem/enwiki/Q24779484

Open the page in a Wiki but if there is "no page found for that combination of item and site", it will open the page in Wikidata directly.

Thanks

Event Timeline

Karima created this task.Sep 2 2016, 9:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2016, 9:14 AM
Karima renamed this task from Add Special:GoToLinkedPageElseGoToItem to [feature request] Add Special:GoToLinkedPageElseGoToItem.Sep 2 2016, 9:16 AM
thiemowmde triaged this task as Lowest priority.Sep 5 2016, 3:03 PM

This is actually the goal of the ArticlePlaceholder project. Instead of redirecting the user to the editing interface we would like to show a nice rendering of all the information we have about a concept.

I would also love to suggest an other super-trivial solution for this issue: We should change the error message shown on https://www.wikidata.org/wiki/Special:GoToLinkedPage/enwiki/Q24779484 to have a well visible, clickable link to the item page. The relevant message key is "wikibase-gotolinkedpage-error-page-not-found".

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 5 2016, 3:03 PM
Esc3300 updated the task description. (Show Details)Sep 5 2016, 3:05 PM
Lydia_Pintscher closed this task as Resolved.Nov 21 2016, 6:13 PM
Lydia_Pintscher claimed this task.

I am going to mark this as resolved because as Thiemo says this is the goal of the ArticlePlaceholder and it works where it is deployed already with Special:AboutTopic.

hoo moved this task from Incoming to Done on the ArticlePlaceholder board.Dec 13 2016, 10:07 AM
Ainali added a subscriber: Ainali.May 28 2017, 3:25 PM

When will ArticlePlaceholder roll out to all wikis so that this becomes useful? If that is not in anyones action plan, I would suggest reopening this ticket since it solves a very specific usecase.

Individual wikis can request it to be enabled. We can't go on big wikis yet because of performance reasons.

A programmer that want to use this, do they need to keep track of which wikis that has this enabled in order to request a language version that gives a usable answer or is it queryable through API (cross my fingers one do not need to make one query per project to get that infromation).

By the way, how do one construct this URL with ArticlePlaceholder?

It should be possible to see if the extension is enabled via the API, yes.
ArticlePlaceholder URLs are like this: https://eo.wikipedia.org/wiki/Special:AboutTopic/Q12345